Unpublish a set of API versions

POST https://{controlplane_path}/api/1/rest/public/apim/unpublish_versions      

Unpublish the specified set of API versions.

Important: This page describes a Classic APIM API.

Prerequisites

  • Environment (Org) admin permissions

Example

This example uses basic authentication. For a JWT example, refer to Authentication.

curl -X 'POST' \
  'https://elastic.snaplogic.com/api/1/rest/public/apim/unpublish_versions' \
  -H 'Authorization: Basic {base64_encoded email:password}' \
  -H 'Content-Type: application/json' \
  -d '{
  "org_name": "acme",
  "version_paths": ["BookStore/1.0"]
}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body

{
  "org_name": "Automation2",
  "version_paths": ["Test/3.0.0"]
}
Key Type Description
org_name string The name of the SnapLogic Environment/Org.
version_paths array An array of strings containing the paths to the API versions. An API version path is formatted as {api_name}/{api_version}.

{
    "response_map": {
        "successful_versions": [
            "/Automation2/apim/Test/3.0.0"
        ],
        "unsuccessful_versions": []
    },
    "http_status_code": 200
}
Key Type Description
successful_versions array An array of strings containing the paths of the API versions that were successfully processed.
unsuccessful_versions array An array of objects containing:
  • the path to the API version that failed
  • the reason for the failure

Error handling

HTTP status codes Message Resolution
400 May not have Read permission for org: {org_name} Verify you have Org admin permissions.
401 Unauthorized Verify your credentials and that you have Org admin permissions.